//-------------------------------------------------------------------------------
// File Name:	sewhead.c
// Brief:
// Version:		1.0.0
// Create Date: 2024/10/17
// Create by: 	W.X
// Copyright:
//				TIANJIN GETONAGAIN TECHNOLOGY CO., LIMITED
//				All rights reserved.
//
// Modify by:	W.X
// Modify Date:	2024/10/17
//-------------------------------------------------------------------------------

#include "apptasks.h"

#if (CUR_CORE_BOARD	== CORE_BOARD_APP)

#include "trigger.h"
#include "workctrl.h"

void AppMainTask(void)
{
	InitTrigger();		// 初始化定时触发功能

	InitWorkCtrl();		// 初始化控制

	do
	{
		TriggerTask();	//


		WorkCtrlTask();

#if (0)		// 测试循环速度
		static u32 timer = 0;
		static u32 temp;
		static 	int runcount = 0;

		runcount++;

		temp = GetMsSoftTimer();
		if (temp - timer >= 1000)
		{
			timer = temp;
			printf("run circle = %d/s\r\n", runcount);
			runcount = 0;
		}
#endif

	}while(1);

}

#endif
